Ntifs (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: Ntifs

Package com.sun.jna.platform.win32

# Interface Ntifs

All Superinterfaces:
  `BaseTSD`, `WinDef`

public interface Ntifs extends WinDef, BaseTSD
Ported from Ntifs.h Microsoft Windows WDK 10

Author:
  amarcionek[at]gmail.com

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Interface
  Description
  `static class`
  `Ntifs.GenericReparseBuffer`
  `static class`
  `Ntifs.MountPointReparseBuffer`
  `static class`
  `Ntifs.REPARSE_DATA_BUFFER`
  The REPARSE_DATA_BUFFER structure contains reparse point data for a Microsoft reparse point.
  `static class`
  `Ntifs.SymbolicLinkReparseBuffer`

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.BaseTSD

  `BaseTSD.DWORD_PTR, BaseTSD.LONG_PTR, BaseTSD.SIZE_T, BaseTSD.SSIZE_T, BaseTSD.ULONG_PTR, BaseTSD.ULONG_PTRByReference`

  ## Nested classes/interfaces inherited from interface com.sun.jna.platform.win32.WinDef

  `WinDef.ATOM, WinDef.BOOL, WinDef.BOOLByReference, WinDef.BYTE, WinDef.CHAR, WinDef.CHARByReference, WinDef.DWORD, WinDef.DWORDByReference, WinDef.DWORDLONG, WinDef.HBITMAP, WinDef.HBRUSH, WinDef.HCURSOR, WinDef.HDC, WinDef.HFONT, WinDef.HGLRC, WinDef.HGLRCByReference, WinDef.HICON, WinDef.HINSTANCE, WinDef.HKL, WinDef.HMENU, WinDef.HMODULE, WinDef.HPALETTE, WinDef.HPEN, WinDef.HRGN, WinDef.HRSRC, WinDef.HWND, WinDef.INT_PTR, WinDef.LCID, WinDef.LONG, WinDef.LONGByReference, WinDef.LONGLONG, WinDef.LONGLONGByReference, WinDef.LPARAM, WinDef.LPVOID, WinDef.LRESULT, WinDef.POINT, WinDef.PVOID, WinDef.RECT, WinDef.SCODE, WinDef.SCODEByReference, WinDef.SHORT, WinDef.UCHAR, WinDef.UINT, WinDef.UINT_PTR, WinDef.UINTByReference, WinDef.ULONG, WinDef.ULONGByReference, WinDef.ULONGLONG, WinDef.ULONGLONGByReference, WinDef.USHORT, WinDef.USHORTByReference, WinDef.WORD, WinDef.WORDByReference, WinDef.WPARAM`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `MAXIMUM_REPARSE_DATA_BUFFER_SIZE`
  `static final int`
  `REPARSE_BUFFER_HEADER_SIZE`
  `static final int`
  `SYMLINK_FLAG_RELATIVE`

  ### Fields inherited from interface com.sun.jna.platform.win32.WinDef

  `MAX_PATH`

- ## Field Details

  - ### MAXIMUM_REPARSE_DATA_BUFFER_SIZE

    static final int MAXIMUM_REPARSE_DATA_BUFFER_SIZE
    See Also:
      - Constant Field Values

  - ### REPARSE_BUFFER_HEADER_SIZE

    static final int REPARSE_BUFFER_HEADER_SIZE
    See Also:
      - Constant Field Values

  - ### SYMLINK_FLAG_RELATIVE

    static final int SYMLINK_FLAG_RELATIVE
    See Also:
      - Constant Field Values